On another machine (Debian testing, core i5 + 8 GB RAM), I get only the 
already-multi-reported FLINT error.

I'll try to rebuild Sage on the larger machine to see if the errors aren't 
accidental.

HTH,



Le lundi 12 août 2019 16:02:31 UTC+2, Emmanuel Charpentier a écrit :
>
> FWIW, on Debian testing running on core i7 + 16 GB RAM, a Python3 upgrade 
> from 8.9beta4 gives me 3 failures, all permanent:
>
>
> ----------------------------------------------------------------------
> sage -t --long --warn-long 158.3 src/sage/graphs/strongly_regular_db.pyx  
> # 4 doctests failed
> sage -t --long --warn-long 158.3 
> src/sage/algebras/quantum_groups/quantum_group_gap.py  # Killed due to 
> segmentation fault
> sage -t --long --warn-long 158.3 
> src/sage/rings/polynomial/polynomial_rational_flint.pyx  # 1 doctest failed
> ----------------------------------------------------------------------
>
> Thr third one has already been reported , and I'm aware of a relevant 
> ticket been worked on. OFAICT, the first two are novel.
>
> Details:
>
> charpent@zen-book-flip:/usr/local/sage-P3$ sage -t --long --warn-long 
> 158.3 src/sage/graphs/strongly_regular_db.pyx
> Running doctests with ID 2019-08-12-15-28-19-15c539ce.
> Git branch: develop
> Using 
> --optional=build,dochtml,dot2tex,fricas,gap_packages,giacpy_sage,libsemigroups,memlimit,mpir,python2,sage
> Doctesting 1 file.
> sage -t --long --warn-long 158.3 src/sage/graphs/strongly_regular_db.pyx
> **********************************************************************
> File "src/sage/graphs/strongly_regular_db.pyx", line 2323, in 
> sage.graphs.strongly_regular_db.SRG_280_135_70_60
> Failed example:
>     g=SRG_280_135_70_60()                  # long time # optional - 
> gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/gap.py",
>  
> line 763, in _eval_line
>         raise RuntimeError("%s produced error output\n%s\n   executing 
> %s"%(self, error,line))
>     RuntimeError: Gap produced error output
>     Error, Record Element: <rec> must be a record (not a boolean or fail)
>
>        executing \$sage11:=AtlasGenerators("J2",2).generators;;
>
>     During handling of the above exception, another exception occurred:
>
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/expect.py",
>  
> line 1438, in __init__
>         self._name = parent._create(value, name=name)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/interface.py",
>  
> line 491, in _create
>         self.set(name, value)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/gap.py",
>  
> line 1414, in set
>         self._eval_line(cmd, allow_use_file=True)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/gap.py",
>  
> line 790, in _eval_line
>         raise RuntimeError(message)
>     RuntimeError: Gap produced error output
>     Error, Record Element: <rec> must be a record (not a boolean or fail)
>
>        executing \$sage11:=AtlasGenerators("J2",2).generators;;
>
>     During handling of the above exception, another exception occurred:
>
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.graphs.strongly_regular_db.SRG_280_135_70_60[1]>", line 1, in <module>
>         g=SRG_280_135_70_60()                  # long time # optional - 
> gap_packages
>       File "sage/graphs/strongly_regular_db.pyx", line 2334, in 
> sage.graphs.strongly_regular_db.SRG_280_135_70_60 
> (build/cythonized/sage/graphs/strongly_regular_db.c:34133)
>         J2    = PermutationGroup(gap('AtlasGenerators("J2",2).generators'))
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/interface.py",
>  
> line 288, in __call__
>         return cls(self, x, name=name)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/expect.py",
>  
> line 1443, in __init__
>         raise_(TypeError, TypeError(*x.args), sys.exc_info()[2])
>       File "/usr/local/sage-P3/local/lib/python3.7/site-packages/six.py", 
> line 692, in reraise
>         raise value.with_traceback(tb)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/expect.py",
>  
> line 1438, in __init__
>         self._name = parent._create(value, name=name)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/interface.py",
>  
> line 491, in _create
>         self.set(name, value)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/gap.py",
>  
> line 1414, in set
>         self._eval_line(cmd, allow_use_file=True)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/interfaces/gap.py",
>  
> line 790, in _eval_line
>         raise RuntimeError(message)
>     TypeError: Gap produced error output
>     Error, Record Element: <rec> must be a record (not a boolean or fail)
>
>        executing \$sage11:=AtlasGenerators("J2",2).generators;;
> **********************************************************************
> File "src/sage/graphs/strongly_regular_db.pyx", line 2324, in 
> sage.graphs.strongly_regular_db.SRG_280_135_70_60
> Failed example:
>     g.is_strongly_regular(parameters=True) # long time # optional - 
> gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.graphs.strongly_regular_db.SRG_280_135_70_60[2]>", line 1, in <module>
>         g.is_strongly_regular(parameters=True) # long time # optional - 
> gap_packages
>     NameError: name 'g' is not defined
> **********************************************************************
> File "src/sage/graphs/strongly_regular_db.pyx", line 2450, in 
> sage.graphs.strongly_regular_db.SRG_416_100_36_20
> Failed example:
>     g = SRG_416_100_36_20()                # optional - gap_packages # 
> long time
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.graphs.strongly_regular_db.SRG_416_100_36_20[1]>", line 1, in <module>
>         g = SRG_416_100_36_20()                # optional - gap_packages # 
> long time
>       File "sage/graphs/strongly_regular_db.pyx", line 2460, in 
> sage.graphs.strongly_regular_db.SRG_416_100_36_20 
> (build/cythonized/sage/graphs/strongly_regular_db.c:36293)
>         h.add_edges(g.Orbit([1,5],libgap.OnSets))
>       File "sage/libs/gap/element.pyx", line 2619, in 
> sage.libs.gap.element.GapElement_MethodProxy.__call__ 
> (build/cythonized/sage/libs/gap/element.c:19709)
>         return GapElement_Function.__call__(self, * ([self.first_argument] 
> + list(args)))
>       File "sage/libs/gap/element.pyx", line 2467, in 
> sage.libs.gap.element.GapElement_Function.__call__ 
> (build/cythonized/sage/libs/gap/element.c:18722)
>         sig_on()
>     sage.libs.gap.util.GAPError: Syntax warning: Unbound global variable 
> in stream:8
>             z:=Z(q^2); e:=z; sqo:=(q^2-1)/2;
>                                 ^^
>     Syntax warning: Unbound global variable in stream:9
>             if IsInt(sqo/Order(e^2+z^0)) then
>                         ^
>     Syntax warning: Unbound global variable in stream:10
>                 e:=z^First([2..q^2-2], x-> not 
> IsInt(sqo/Order(z^(2*x)+z^0)));
>                                                         ^
>     Syntax warning: Unbound global variable in stream:21
>             G:=Graph(G1,Concatenation(O1,O2),OnSets,
>                     ^
>     Syntax warning: Unbound global variable in stream:23
>             return List([1..OrderGraph(G)],x->Adjacency(G,x));
>                                       ^
>     Syntax warning: Unbound global variable in stream:23
>             return List([1..OrderGraph(G)],x->Adjacency(G,x));
>                                                        ^
>     Error, no method found! Error, no 1st choice method found for 
> `GeneratorsOfMagmaWithInverses' on 1 arguments
>     The 1st argument is 'fail' which might point to an earlier problem
> **********************************************************************
> File "src/sage/graphs/strongly_regular_db.pyx", line 2451, in 
> sage.graphs.strongly_regular_db.SRG_416_100_36_20
> Failed example:
>     g.is_strongly_regular(parameters=True) # optional - gap_packages # 
> long time
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.graphs.strongly_regular_db.SRG_416_100_36_20[2]>", line 1, in <module>
>         g.is_strongly_regular(parameters=True) # optional - gap_packages # 
> long time
>     NameError: name 'g' is not defined
> **********************************************************************
> 2 items had failures:
>    2 of   4 in sage.graphs.strongly_regular_db.SRG_280_135_70_60
>    2 of   4 in sage.graphs.strongly_regular_db.SRG_416_100_36_20
>     [334 tests, 4 failures, 811.86 s]
> ----------------------------------------------------------------------
> sage -t --long --warn-long 158.3 src/sage/graphs/strongly_regular_db.pyx  
> # 4 doctests failed
> ----------------------------------------------------------------------
> Total time for all tests: 812.0 seconds
>     cpu time: 20.9 seconds
>     cumulative wall time: 811.9 seconds
> charpent@zen-book-flip:/usr/local/sage-P3$ sage -t --long --warn-long 
> 158.3 src/sage/algebras/quantum_groups/quantum_group_gap.py
> Running doctests with ID 2019-08-12-15-51-25-c5d0cde8.
> Git branch: develop
> Using 
> --optional=build,dochtml,dot2tex,fricas,gap_packages,giacpy_sage,libsemigroups,memlimit,mpir,python2,sage
> Doctesting 1 file.
> sage -t --long --warn-long 158.3 
> src/sage/algebras/quantum_groups/quantum_group_gap.py
> **********************************************************************
> File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 1553, 
> in sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule._latex_
> Failed example:
>     latex(S)  # optional - gap_packages  # random (depends on dot2tex)
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule._latex_[4]>",
>  
> line 1, in <module>
>         latex(S)  # optional - gap_packages  # random (depends on dot2tex)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/misc/latex.py", 
> line 925, in __call__
>         return LatexExpr(x._latex_())
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/algebras/quantum_groups/quantum_group_gap.py",
>  
> line 1559, in _latex_
>         return latex(self.crystal_graph())
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/algebras/quantum_groups/quantum_group_gap.py",
>  
> line 2098, in crystal_graph
>         for p in G[b'points']]
>       File "sage/libs/gap/element.pyx", line 3157, in 
> sage.libs.gap.element.GapElement_Record.__getitem__ 
> (build/cythonized/sage/libs/gap/element.c:22566)
>         sig_on()
>     cysignals.signals.SignalError: Segmentation fault
> **********************************************************************
> File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 1658, 
> in 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule.crystal_graph
> Failed example:
>     G = V.crystal_graph(); G            # optional - gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule.crystal_graph[2]>",
>  
> line 1, in <module>
>         G = V.crystal_graph(); G            # optional - gap_packages
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/algebras/quantum_groups/quantum_group_gap.py",
>  
> line 1666, in crystal_graph
>         vertices = [CrystalGraphVertex(self, repr(p)) for p in 
> G[b'points']]
>       File "sage/libs/gap/element.pyx", line 3157, in 
> sage.libs.gap.element.GapElement_Record.__getitem__ 
> (build/cythonized/sage/libs/gap/element.c:22566)
>         sig_on()
>     cysignals.signals.SignalError: Segmentation fault
> **********************************************************************
> File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 1662, 
> in 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule.crystal_graph
> Failed example:
>     G.is_isomorphic(B.digraph(), edge_labels=True)  # optional - 
> gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule.crystal_graph[4]>",
>  
> line 1, in <module>
>         G.is_isomorphic(B.digraph(), edge_labels=True)  # optional - 
> gap_packages
>     NameError: name 'G' is not defined
> **********************************************************************
> File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 2082, 
> in 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph
> Failed example:
>     G = S.crystal_graph()                    # optional - gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph[4]>",
>  
> line 1, in <module>
>         G = S.crystal_graph()                    # optional - gap_packages
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/algebras/quantum_groups/quantum_group_gap.py",
>  
> line 2098, in crystal_graph
>         for p in G[b'points']]
>       File "sage/libs/gap/element.pyx", line 3157, in 
> sage.libs.gap.element.GapElement_Record.__getitem__ 
> (build/cythonized/sage/libs/gap/element.c:22566)
>         sig_on()
>     cysignals.signals.SignalError: Segmentation fault
> **********************************************************************
> File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 2083, 
> in 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph
> Failed example:
>     sorted(G.vertices(), key=str)            # optional - gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph[5]>",
>  
> line 1, in <module>
>         sorted(G.vertices(), key=str)            # optional - gap_packages
>     NameError: name 'G' is not defined
> **********************************************************************
> File "src/sage/algebras/quantum_groups/quantum_group_gap.py", line 2087, 
> in 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph
> Failed example:
>     sorted(S.crystal_graph(False).vertices(), key=str)  # optional - 
> gap_packages
> Exception raised:
>     Traceback (most recent call last):
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 681, in _run
>         self.compile_and_execute(example, compiler, test.globs)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/doctest/forker.py",
>  
> line 1105, in compile_and_execute
>         exec(compiled, globs)
>       File "<doctest 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph[6]>",
>  
> line 1, in <module>
>         sorted(S.crystal_graph(False).vertices(), key=str)  # optional - 
> gap_packages
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/algebras/quantum_groups/quantum_group_gap.py",
>  
> line 2092, in crystal_graph
>         return QuantumGroupModule.crystal_graph(self)
>       File 
> "/usr/local/sage-P3/local/lib/python3.7/site-packages/sage/algebras/quantum_groups/quantum_group_gap.py",
>  
> line 1666, in crystal_graph
>         vertices = [CrystalGraphVertex(self, repr(p)) for p in 
> G[b'points']]
>       File "sage/libs/gap/element.pyx", line 3157, in 
> sage.libs.gap.element.GapElement_Record.__getitem__ 
> (build/cythonized/sage/libs/gap/element.c:22566)
>         sig_on()
>     cysignals.signals.SignalError: Segmentation fault
> **********************************************************************
> 3 items had failures:
>    3 of   8 in 
> sage.algebras.quantum_groups.quantum_group_gap.HighestWeightSubmodule.crystal_graph
>    1 of   6 in 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule._latex_
>    2 of   6 in 
> sage.algebras.quantum_groups.quantum_group_gap.QuantumGroupModule.crystal_graph
>     [529 tests, 6 failures, 8.18 s]
> ----------------------------------------------------------------------
> sage -t --long --warn-long 158.3 
> src/sage/algebras/quantum_groups/quantum_group_gap.py  # 6 doctests failed
> ----------------------------------------------------------------------
> Total time for all tests: 8.3 seconds
>     cpu time: 8.2 seconds
>     cumulative wall time: 8.2 seconds
> charpent@zen-book-flip:/usr/local/sage-P3$ sage -t --long --warn-long 
> 158.3 src/sage/rings/polynomial/polynomial_rational_flint.pyx
> Running doctests with ID 2019-08-12-15-52-12-95ad56f7.
> Git branch: develop
> Using 
> --optional=build,dochtml,dot2tex,fricas,gap_packages,giacpy_sage,libsemigroups,memlimit,mpir,python2,sage
> Doctesting 1 file.
> sage -t --long --warn-long 158.3 
> src/sage/rings/polynomial/polynomial_rational_flint.pyx
> **********************************************************************
> File "src/sage/rings/polynomial/polynomial_rational_flint.pyx", line 2055, 
> in 
> sage.rings.polynomial.polynomial_rational_flint.Polynomial_rational_flint.galois_group
> Failed example:
>     G = f.galois_group(); G
> Expected:
>     Transitive group number 5 of degree 4
> Got:
>     Exception (FLINT memory_manager). Unable to allocate memory.
>     Transitive group number 5 of degree 4
> **********************************************************************
> 1 item had failures:
>    1 of  16 in 
> sage.rings.polynomial.polynomial_rational_flint.Polynomial_rational_flint.galois_group
>     [397 tests, 1 failure, 3.91 s]
> ----------------------------------------------------------------------
> sage -t --long --warn-long 158.3 
> src/sage/rings/polynomial/polynomial_rational_flint.pyx  # 1 doctest failed
> ----------------------------------------------------------------------
> Total time for all tests: 4.0 seconds
>     cpu time: 3.5 seconds
>     cumulative wall time: 3.9 seconds
>
> HTH,
>
>
> Le samedi 10 août 2019 19:49:47 UTC+2, Volker Braun a écrit :
>>
>> As always, you can get the latest beta version from the "develop" git 
>> branch. Alternatively, the self-contained source tarball is at 
>> http://www.sagemath.org/download-latest.html 
>>
>>
>> 213fe0ba4d (tag: 8.9.beta6, trac/develop) Updated SageMath version to 
>> 8.9.beta6
>> 442411009b Trac #23573: Implement suffix walk for suffix tree
>> 8d79f08bdf Trac #28332: dot2tex fails self-tests
>> c3b74b06f9 Trac #28330: Cygwin: Use cygstart instead of rundll32 to open 
>> files/websites
>> 223ef8bc38 Trac #27295: Add GAP's Semigroups package to gap_packages
>> 849d1c6f1d Trac #27396: add libsemigroups package
>> 5f09146e65 Trac #24324: DyckWords.options.display does not work
>> b201000163 Trac #28276: Fix tex_from_skew_array format command for 
>> tuple-valued arrays
>> b945d46218 Trac #28314: fixing a few calls of all(list)
>> 41ec91a253 Trac #28308: some typos
>> d6ef82c599 Trac #28305: py3 fix for 
>> combinat/root_system/non_symmetric_macdonald_polynomials.py
>> 188dc36616 Trac #28152: Planar graph layout does not respect clockwise 
>> ordering of neighbors in combinatorial embedding
>> cf987b94df Trac #28119: Implement random triangulations of a polygon
>> f1bfb6af08 Trac #27634: Clean up the code and the documentation for the 
>> coding section
>> 191e879cdd Trac #28295: spkg-configure.m4 for mpfi
>> 5ad71230a1 Trac #28273: allow laziness in DisjointUnionEnumeratedSet
>> 189a96bb1d Trac #28231: spkg-configure.m4 for lrcalc
>> 7ff2a50ff3 Trac #28109: Renaming and improvement of periodic point methods
>> ca069e9afd Trac #28070: is_conjugate bug fix and enhancements
>> c3ffb5d918 Trac #28027: Adding cyclegraph functionality to product 
>> projective dynamical systems
>> d710aacd9c Trac #28312: py3 small fix for quantum group gap
>> 5845d75c7c Trac #28306: refresh the file ell_generic.py
>> 4c993d118c Trac #28291: Speed up access to coefficients of general number 
>> field elements
>> 707b99aa7e Trac #28288: Direct conversion from number fields to complex 
>> ball fields
>> 334ff06023 Trac #28286: removed deprecated alias in tiling.py
>> 2bae93e74b Trac #28285: remove deprecated alias in finance
>> 81479570f1 Trac #28283: remove content in polynomial
>> fb3aa72ab2 Trac #28110: Bug in Hilbert series computation
>> 9a0cb42f33 Trac #28287: alarm test failure in 
>> CombinatorialPolyhedron.f_vector
>> ac8cf16c5c (tag: 8.9.beta5) Updated SageMath version to 8.9.beta5
>>
>

-- 
You received this message because you are subscribed to the Google Groups 
"sage-release" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to sage-release+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/sage-release/3fc81041-6229-40a7-965e-5caafff7b749%40googlegroups.com.

Reply via email to